Core - Bug # 32953

Task # 32185 (Closed): Migrate TYPO3 Backend to ExtJS4
Task # 32201 (Closed): Umbrella for smaller outstanding tasks

Status: Rejected Priority: Must have
Author: Wouter Wolters Category: Backend API
Created: 2012-01-03 Assigned To:

Updated: 2013-05-05 Due date:

TYPO3 Version: 4.7

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject: Migrate file upload to ExtJS 4

Description

When | try, in a clean 4.7-dev environment, to upload a file with the SWFupload component it fails with a JavaScript error:

String.format is not a function
title: String.format(TYPO3.LLL.fileUpload.windowTitle),

This code can be found in typo3/js/flashupload.js on line 115
Steps to reproduce:

1. Go to filelist module

2. Right click on the folder user_upload

3. Try to open the upload window

4. Check for javascript errors

This only happens in 4.7.

History

#1 - 2012-01-03 21:12 - Steffen Gebert
- Category set to Backend API
- Priority changed from Should have to Must have

- Target version set to 4.7.0-betat

#2 - 2012-01-09 06:21 - Stanislas Rolland
- Assigned To set to Stanislas Rolland

#3 - 2012-01-09 16:50 - Stanislas Rolland
- Parent task set to #32201

#4 - 2012-01-09 23:07 - Stanislas Rolland
- Subject changed from Extjs: String.format is not a function to Migrate file upload to ExtJS 4

#5 - 2012-01-09 23:08 - Stanislas Rolland

File upload was not migrated to ExtJS 4.
#6 - 2012-01-13 16:10 - Stanislas Rolland
- Status changed from New to Rejected

- Assigned To deleted (Stanislas Rolland)

#7 - 2012-01-14 11:03 - Steffen Ritter
- Status changed from Rejected to On Hold

#8 - 2012-02-13 09:21 - Steffen Ritter
- Target version deleted (4.7.0-betat)

#9 - 2013-05-05 22:51 - Wouter Wolters

- Status changed from On Hold to Rejected

ExtJS 4 will not make it into the core
